function [F, V] = agent1(a1, a2, varargin)
    % 2 en-axer
    % a1 og a2 - rot X
    % tot høyde = 1
    % a ligger i intv -1 1, -1 bøyer fram 40grader
    
    demo = 0;
    readVgrarginInput( ); % Se nederst
    
    if demo == 0
        
        a1 = -a1*40;
        a2 = -a2*40;
        
        pTopp1 = [0 0 1];
        pBunn1 = [0 0 0];
        [F1, V1] = polyQuadOpenCylinder(0.04, 3, pBunn1, pTopp1);
        
        V1 = (rotx(a1) * V1')';
        
        [F2, V2] = polyQuadOpenCylinder(0.04, 3, pBunn1, pTopp1);
        
        V2 = (rotx(a2) * V2')';
        
        [F, V] = addPoly(F2, V2, F1, V1);

        % Roterer for 2D plott, z-utover, x-høyre, y-opp, view(0, 90)
        V = (rotx(-90) * V')';
        V = (roty(-90) * V')';
        
    else
        
        a1 = -a1*40;
        a2 = -a2*40;
        
        pTopp1 = [0 0 1];
        pBunn1 = [0 0 0];
        [F1, V1] = polyQuadOpenCylinder(0.04, 32, pBunn1, pTopp1);
        
        V1 = (rotx(a1) * V1')';
        
        [F2, V2] = polyQuadOpenCylinder(0.04, 32, pBunn1, pTopp1);
        
        V2 = (rotx(a2) * V2')';
        
        [F, V] = addPoly(F2, V2, F1, V1);
        
        % Ledd 1
        pTopp2 = [-0.065 0 0];
        pBunn2 = [0.065 0 0];
        [F1b, V1b] = polyQuadCylinderSemiClosed(0.06, 32, 2, 2, pBunn2, pTopp2);
        [F, V] = addPoly(F, V, F1b, V1b);        

        % Roterer for 2D plott, z-utover, x-høyre, y-opp, view(0, 90)
        V = (rotx(-90) * V')';
        V = (roty(-90) * V')';
        
        
    end
    
    %%
    
    function readVgrarginInput( )
        while ~isempty(varargin)
            switch varargin{1}
                case 'demo'
                    demo = 1; varargin(1:1) = [];
                otherwise
                    error(['Unexpected option: ' varargin{1}]);
            end
        end
    end
end

% [F, V] = agent1(0, 30); clf; plotPoly(F,V,'dark', 'coo', 1); view(0,90)